# Copyright (c) 2000-2013, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%if "%{?rhel}" == "6"
%bcond_without repolib
%else
%bcond_with repolib
%endif

%if 0
%global apiver 2.2.6
%endif
%if 0
%global alternatives_priority 20203
%endif

%define reltag .redhat_5
%define namedreltag -redhat-5
%global namedversion %{version}%{?namedreltag}

Name:           glassfish-jaxb
Version:        2.2.5
Release:        14%{?reltag}%{?dist}
Epoch:          0
Summary:        Java Architecture for XML Binding
License:        CDDL/GPLv2
Group:          Development/Java
URL:            https://jax-ws-sources.dev.java.net/
%if 0
svn -q export -r 3906 https://svn.java.net/svn/jaxb~version2/tags/jaxb-2_2_5 jaxb-ri-2.2.5 && tar cjf glassfish-jaxb-2.2.5.tar.bz2 jaxb-ri-2.2.5
%endif
Source0:        glassfish-jaxb-2.2.5.tar.bz2
Patch0:         jaxb-ri-resolver.patch
Patch1:         jaxb-ri-no-xjc1.patch
Patch2:         jaxb-ri-no-class-path-in-manifest.patch
Patch3:         jaxb-ri-poms.patch
Patch4:         jaxb-ri-build.patch
Patch5:         jaxb-ri-mvn.patch
Requires:       jpackage-utils
%if 0
Requires(post): %{_sbindir}/update-alternatives
Requires(preun): %{_sbindir}/update-alternatives
%endif
%if 0
Requires:       jaxb-impl = %{epoch}:%{version}-%{release}
Requires:       jaxb-xjc = %{epoch}:%{version}-%{release}
%else
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
%endif
BuildRequires:  ant >= 0:1.6.5
BuildRequires:  args4j >= 0:1.0
BuildRequires:  isorelax
BuildRequires:  javatools-package-rename-task
BuildRequires:  jboss-component-management
BuildRequires:  jboss-parent
BuildRequires:  jing
BuildRequires:  jpackage-utils
BuildRequires:  jvnet-parent >= 0:1
BuildRequires:  maven-antrun-extended-plugin
BuildRequires:  maven-clean-plugin
BuildRequires:  maven-deploy-plugin
BuildRequires:  maven-gpg-plugin
BuildRequires:  commons-parent
BuildRequires:  msv-core
BuildRequires:  relaxngcc
BuildRequires:  stax-ex
BuildRequires:  sun-fi
BuildRequires:  xsdlib
#
BuildRequires:  apache-commons-lang
BuildRequires:  zip
#
%if 0
DEBUG util.py:256:  Transaction Check Error:
DEBUG util.py:256:    file /usr/share/java-signed/commons-logging-adapters.jar conflicts between attempted installs of apache-commons-logging-0:1.1.1-6.5_redhat_2.ep6.el6.noarch and jakarta-commons-logging-0:1.1.1-1.ep5.el6.noarch
DEBUG util.py:256:    file /usr/share/java-signed/commons-logging-api.jar conflicts between attempted installs of apache-commons-logging-0:1.1.1-6.5_redhat_2.ep6.el6.noarch and jakarta-commons-logging-0:1.1.1-1.ep5.el6.noarch
DEBUG util.py:256:    file /usr/share/java-signed/commons-logging.jar conflicts between attempted installs of apache-commons-logging-0:1.1.1-6.5_redhat_2.ep6.el6.noarch and jakarta-commons-logging-0:1.1.1-1.ep5.el6.noarch
DEBUG util.py:256:    file /usr/share/java-signed/jakarta-commons-logging-adapters.jar conflicts between attempted installs of apache-commons-logging-0:1.1.1-6.5_redhat_2.ep6.el6.noarch and jakarta-commons-logging-0:1.1.1-1.ep5.el6.noarch
DEBUG util.py:256:    file /usr/share/java-signed/jakarta-commons-logging-api.jar conflicts between attempted installs of apache-commons-logging-0:1.1.1-6.5_redhat_2.ep6.el6.noarch and jakarta-commons-logging-0:1.1.1-1.ep5.el6.noarch
DEBUG util.py:256:    file /usr/share/java-signed/jakarta-commons-logging.jar conflicts between attempted installs of apache-commons-logging-0:1.1.1-6.5_redhat_2.ep6.el6.noarch and jakarta-commons-logging-0:1.1.1-1.ep5.el6.noarch
DEBUG util.py:256:    file /usr/share/java/commons-logging-adapters.jar conflicts between attempted installs of apache-commons-logging-0:1.1.1-6.5_redhat_2.ep6.el6.noarch and jakarta-commons-logging-0:1.1.1-1.ep5.el6.noarch
DEBUG util.py:256:    file /usr/share/java/commons-logging-api.jar conflicts between attempted installs of apache-commons-logging-0:1.1.1-6.5_redhat_2.ep6.el6.noarch and jakarta-commons-logging-0:1.1.1-1.ep5.el6.noarch
DEBUG util.py:256:    file /usr/share/java/commons-logging.jar conflicts between attempted installs of apache-commons-logging-0:1.1.1-6.5_redhat_2.ep6.el6.noarch and jakarta-commons-logging-0:1.1.1-1.ep5.el6.noarch
DEBUG util.py:256:    file /usr/share/java/jakarta-commons-logging-adapters.jar conflicts between attempted installs of apache-commons-logging-0:1.1.1-6.5_redhat_2.ep6.el6.noarch and jakarta-commons-logging-0:1.1.1-1.ep5.el6.noarch
DEBUG util.py:256:    file /usr/share/java/jakarta-commons-logging-api.jar conflicts between attempted installs of apache-commons-logging-0:1.1.1-6.5_redhat_2.ep6.el6.noarch and jakarta-commons-logging-0:1.1.1-1.ep5.el6.noarch
DEBUG util.py:256:    file /usr/share/java/jakarta-commons-logging.jar conflicts between attempted installs of apache-commons-logging-0:1.1.1-6.5_redhat_2.ep6.el6.noarch and jakarta-commons-logging-0:1.1.1-1.ep5.el6.noarch
DEBUG util.py:256:    file /usr/share/maven2/poms/JPP-commons-logging.pom conflicts between attempted installs of apache-commons-logging-0:1.1.1-6.5_redhat_2.ep6.el6.noarch and jakarta-commons-logging-0:1.1.1-1.ep5.el6.noarch
DEBUG util.py:256:    file /usr/share/java/commons-cli.jar conflicts between attempted installs of apache-commons-cli-0:1.2-6.3_redhat_2.ep6.el6.noarch and jakarta-commons-cli-0:1.0-6.1.jdk6.ep5.el5.noarch
DEBUG util.py:256:    file /usr/share/java/jakarta-commons-cli.jar conflicts between attempted installs of apache-commons-cli-0:1.2-6.3_redhat_2.ep6.el6.noarch and jakarta-commons-cli-0:1.0-6.1.jdk6.ep5.el5.noarch
DEBUG util.py:256:  Error Summary
%endif
BuildRequires:  apache-commons-logging >= 0:1.1.1
%if 0
DEBUG util.py:256:  Transaction Check Error:
DEBUG util.py:256:    file /usr/share/java/commons-cli.jar conflicts between attempted installs of apache-commons-cli-0:1.2-6.3_redhat_2.ep6.el6.noarch and jakarta-commons-cli-0:1.0-6.1.jdk6.ep5.el5.noarch
DEBUG util.py:256:    file /usr/share/java/jakarta-commons-cli.jar conflicts between attempted installs of apache-commons-cli-0:1.2-6.3_redhat_2.ep6.el6.noarch and jakarta-commons-cli-0:1.0-6.1.jdk6.ep5.el5.noarch
DEBUG util.py:256:  Error Summary
DEBUG util.py:256:  -------------
%endif
BuildRequires:  apache-commons-cli >= 0:1.2
#
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The Java Architecture for XML Binding (JAXB) 2.2 API according to JSR-222.

%package -n jaxb-impl
Summary:        JAXB Reference Implementation
Group:          Development/Java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       istack-commons-runtime >= 1:2.6.1
Requires:       jboss-jaxb-api_2.2_spec >= 0:1.0.4
Requires:       txw2 >= 0:20110809
BuildRequires:  istack-commons-runtime >= 1:2.6.1
BuildRequires:  jboss-jaxb-api_2.2_spec >= 0:1.0.4
BuildRequires:  txw2 >= 0:20110809
BuildRequires:  txwc2 >= 0:20110809

%description -n jaxb-impl
JAXB (JSR 222) Reference Implementation.

%package -n jaxb-xjc
Summary:        JAXB XJC
Group:          Development/Java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       codemodel >= 0:2.6
%if 0
# XXX: optional
Requires:       dtd-parser
%endif
Requires:       istack-commons-tools >= 1:2.6.1
Requires:       jaxb-impl = %{epoch}:%{version}-%{release}
Requires:       relaxngDatatype
Requires:       rngom
%if 0
# XXX: optional
# XXX: xml-resolver
Requires:       xml-commons-resolver-eap6 >= 0:1.2
%endif
Requires:       xsom >= 0:20110809
BuildRequires:  codemodel >= 0:2.6
BuildRequires:  dtd-parser
BuildRequires:  istack-commons-tools >= 1:2.6.1
BuildRequires:  relaxngDatatype
BuildRequires:  rngom
# XXX: xml-resolver
BuildRequires:  xml-commons-resolver >= 0:1.2
BuildRequires:  xsom >= 0:20110809

%description -n jaxb-xjc
JAXB (JSR 222) reference implementation - Schema compiler.

%package javadoc
Summary:        Javadoc for JAXB
Group:          Development/Documentation
Requires:       jpackage-utils

%description javadoc
Javadoc for JAXB.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q -n jaxb-ri-%{version}

%{_bindir}/find -type f -name '*.class' | %{_bindir}/xargs -t %{__rm}
%{_bindir}/find -type f -name '*.dll' | %{_bindir}/xargs -t %{__rm}
%{_bindir}/find -type f -name '*.zip' | %{_bindir}/xargs -t %{__rm}

%{__rm} samples/samples-src/pull-parser/lib/sjsxp.jar
%{__rm} samples/samples-src/xml-channel/lib/sjsxp.jar
%{__rm} tools/compiler10/jaxb1-xjc.jar
%{__rm} tools/htmlmacro/commons-jelly-tags-util-1.1.1.jar
%{__rm} tools/htmlmacro/htmlmacro.jar
%{__rm} tools/lib/osgi/jaxb-api-osgi-javadoc.jar
%{__rm} tools/lib/osgi/jaxb-api-osgi-sources.jar
%{__rm} tools/lib/osgi/jaxb-api-osgi.jar
%{__rm} tools/lib/rebundle/compiler/codemodel.jar
%{__rm} tools/lib/rebundle/compiler/dtd-parser.jar
%{__rm} tools/lib/rebundle/compiler/istack-commons-tools.jar
%{__rm} tools/lib/rebundle/compiler/relaxngDatatype.jar
%{__rm} tools/lib/rebundle/compiler/resolver.jar
%{__rm} tools/lib/rebundle/compiler/rngom.jar
%{__rm} tools/lib/rebundle/compiler/xsom.jar
%{__rm} tools/lib/rebundle/runtime2/istack-commons-runtime.jar
%{__rm} tools/lib/rebundle/runtime2/txw2.jar
%{__rm} tools/lib/rebundle/runtime/isorelax.jar
%{__rm} tools/lib/rebundle/runtime/msv.jar
%{__rm} tools/lib/rebundle/runtime/relaxngDatatype.jar
%{__rm} tools/lib/rebundle/runtime/xsdlib.jar
%{__rm} tools/lib/redist/activation.jar
%{__rm} tools/lib/redist/jaxb-api.jar
# XXX: build requires actual file to be present
%{__ln_s} `%{_bindir}/build-classpath jboss-jaxb-api_2.2_spec/jboss-jaxb-api_2.2_spec` tools/lib/redist/jaxb-api.jar
%{__rm} tools/lib/redist/jsr173_1.0_api.jar
%{__rm} tools/lib/util/ant-contrib-0.6.jar
%{__rm} tools/lib/util/ant-fsget.jar
%{__rm} tools/lib/util/ant.jar
%{__rm} tools/lib/util/ant-junit.jar
%{__rm} tools/lib/util/ant-launcher.jar
%{__rm} tools/lib/util/ant-trax.jar
%{__rm} tools/lib/util/args4j.jar
%{__rm} tools/lib/util/bnd-0.0.249.jar
%{__rm} tools/lib/src/codemodel-sources.jar
%{__rm} tools/lib/src/dtd-parser-sources.jar
%{__rm} tools/lib/src/fi-sources.jar
%{__rm} tools/lib/src/istack-commons-runtime-sources.jar
%{__rm} tools/lib/src/istack-commons-tools-sources.jar
%{__rm} tools/lib/src/rngom-sources.jar
%{__rm} tools/lib/src/txw2-sources.jar
%{__rm} tools/lib/src/xsom-sources.jar
%{__rm} tools/lib/util/codemodel-annotation-compiler-sources.jar
%{__rm} tools/lib/util/codemodel-annotation-compiler.jar
%{__rm} tools/lib/util/dom4j.jar
%{__rm} tools/lib/util/FastInfoset.jar
%{__rm} tools/lib/util/istack-commons-test.jar
%{__rm} tools/lib/util/istack-commons-test-sources.jar
# XXX: 2.7, rest are 2.6.1
%{__rm} tools/lib/util/istack-commons-tools.jar
%{__rm} tools/lib/util/jing.jar
%{__rm} tools/lib/util/junit-3.8.1.jar
%{__rm} tools/lib/util/package-rename-task.jar
%{__rm} tools/lib/util/relaxngcc.jar
%{__rm} tools/lib/util/sfx4j-1.0.jar
%{__rm} tools/lib/util/sjsxp.jar
%{__rm} tools/lib/util/stax-ex.jar
%{__rm} tools/lib/util/txwc2-sources.jar
%{__rm} tools/lib/util/txwc2.jar
%{__rm} tools/lib/util/xercesImpl.jar

bj=`%{_bindir}/find -type f -and -not -type l -name "*.jar" | wc -l`
/bin/echo "There are ${bj} bundled jars"
if [ ${bj} -gt 0 ]; then
    %{_bindir}/find -type f -name "*.jar" | sort
    /bin/echo One or more bundled jars present. Exiting.
    exit 1
fi

%patch0 -p1 -b .sav0
%patch1 -p1 -b .sav1
%patch2 -p1 -b .sav2
%patch3 -p1 -b .sav3
%patch4 -p1 -b .sav4
%patch5 -p1 -b .sav5

%{__mv} License.txt License.txt.orig
%{_bindir}/iconv -f iso8859-1 -t utf8 -o License.txt License.txt.orig

%if 0
%{__perl} -pi -e 's|\@VERSION\@|%{namedversion}|g;' distributions/maven/*.pom
%endif

dir=`pwd`
pushd %{_sourcedir}
%{_bindir}/zip -9 -q ${dir}/com.sun.xml.bind-jaxb-impl-%{namedversion}-patches.zip *.patch
%{_bindir}/zip -9 -q ${dir}/com.sun.xml.bind-jaxb-impl-%{namedversion}-sources.zip * -x \*.patch
popd

%build
export CLASSPATH=`%{_bindir}/build-classpath args4j codemodel codemodel-annotation-compiler dtd-parser FastInfoset isorelax istack-commons-runtime istack-commons-tools jboss-jaxb-api_2.2_spec jing msv-core package-rename-task relaxngcc relaxngDatatype rngom stax-ex txw2 txwc2 xml-resolver xsdlib xsom`
export OPT_JAR_LIST=:
export MAVEN_OPTS="-Dmaven.repo.local=`pwd`/.m2/repository -Dgpg.skip"
export ANT_OPTS="-Dbuild.sysclasspath=first -Dbuild.number=01 -Dmvn.exec=%{_bindir}/mvn-jpp -Drelease.spec.version=%{namedversion} -Drelease.impl.version=%{namedversion} -Drelease.impl.version.suffix="
%{ant} dist-zip javadoc

# FIXME: this requires the bundled .class files, plus bundled binary jars
%if 0
pushd osgi
export cpath="-Dcpath.fromsource="
%{ant} clean bundle -Dfrom.source=true -Djavac.target=1.5 -Djavac.source=1.5 ${cpath} -Dosgi.build.api=osgi/build -Dosgi.build.rt=osgi/build
popd
%endif

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%if 0
%{__cp} -p dist/lib/jaxb-api.jar %{buildroot}%{_javadir}/jaxb-api-%{apiver}%{?namedreltag}.jar
%endif
%{__cp} -p dist/lib/jaxb-impl.jar %{buildroot}%{_javadir}/jaxb-impl-%{namedversion}.jar
%if 0
%{__cp} -p dist/lib/jaxb1-impl.jar %{buildroot}%{_javadir}/jaxb1-impl-%{namedversion}.jar
%endif
%{__cp} -p dist/lib/jaxb-xjc.jar %{buildroot}%{_javadir}/jaxb-xjc-%{namedversion}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}.jar; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{namedversion}||g"`; done)
%if 0
if test "x%{namedversion}" != "x%{apiver}%{?namedreltag}"; then
    (cd %{buildroot}%{_javadir} && for jar in *-%{apiver}%{?namedreltag}.jar; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{apiver}%{?namedreltag}||g"`; done)
fi
%endif

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jaxb-%{namedversion}
%{__cp} -pr runtime/build/api/* %{buildroot}%{_javadocdir}/jaxb-%{namedversion}
%{__ln_s} jaxb-%{namedversion} %{buildroot}%{_javadocdir}/jaxb

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%if 0
%{__cp} -p build/jaxb1-impl.pom %{buildroot}%{_mavenpomdir}/JPP-jaxb1-impl.pom
%{__cp} -p build/jaxb-osgi.pom %{buildroot}%{_mavenpomdir}/JPP-jaxb-osgi.pom
%{__cp} -p build/jaxb2-reflection.pom %{buildroot}%{_mavenpomdir}/JPP-jaxb2-reflection.pom
%endif
%if 0
%{__cp} -p build/jaxb-api.pom %{buildroot}%{_mavenpomdir}/JPP-jaxb-api.pom
%endif
%{__cp} -p build/jaxb-impl.pom %{buildroot}%{_mavenpomdir}/JPP-jaxb-impl.pom
%{__cp} -p build/jaxb-xjc.pom %{buildroot}%{_mavenpomdir}/JPP-jaxb-xjc.pom

%if 0
%add_to_maven_depmap com.sun.xml.bind jaxb1-impl %{namedversion} JPP jaxb1-impl
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/jaxb1-impl
%endif
%add_to_maven_depmap com.sun.xml.bind jaxb-xjc %{namedversion} JPP jaxb-xjc
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/jaxb-xjc
%if 0
%add_to_maven_depmap javax.xml.bind jaxb-api %{apiver}%{?namedreltag} JPP jaxb-api
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/jaxb-api
%endif
%add_to_maven_depmap com.sun.xml.bind jaxb-impl %{namedversion} JPP jaxb-impl
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/jaxb-impl

%if 0
/bin/touch %{buildroot}%{_javadir}/jaxb_api.jar
/bin/touch %{buildroot}%{_javadir}/jaxb_2_2_api.jar
%endif

%if %with repolib
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export URL=file://%{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
export MAVEN_OPTS="-Dmaven.repo.local=${MAVEN_REPO_LOCAL} -Durl=${URL}"
%if 0
%{_bindir}/mvn-jpp deploy:deploy-file -DpomFile=%{buildroot}%{_mavenpomdir}/JPP-jaxb1-impl.pom -Dfile=%{buildroot}%{_javadir}/jaxb1-impl-%{namedversion}.jar
%endif
%if 0
%{_bindir}/mvn-jpp deploy:deploy-file -DpomFile=%{buildroot}%{_mavenpomdir}/JPP-jaxb-api.pom -Dfile=%{buildroot}%{_javadir}/jaxb-api-%{apiver}%{?namedreltag}.jar
%endif
%{_bindir}/mvn-jpp deploy:deploy-file -DpomFile=%{buildroot}%{_mavenpomdir}/JPP-jaxb-impl.pom -Dfile=%{buildroot}%{_javadir}/jaxb-impl-%{namedversion}.jar
%{_bindir}/mvn-jpp deploy:deploy-file -DpomFile=%{buildroot}%{_mavenpomdir}/JPP-jaxb-xjc.pom -Dfile=%{buildroot}%{_javadir}/jaxb-xjc-%{namedversion}.jar
%{_bindir}/mvn-jpp deploy:deploy-file -DgeneratePom=false -DgroupId=com.sun.xml.bind -DartifactId=jaxb-impl -Dversion=%{namedversion} -Dclassifier=patches -Dpackaging=zip -Dfile=com.sun.xml.bind-jaxb-impl-%{namedversion}-patches.zip
%{_bindir}/mvn-jpp deploy:deploy-file -DgeneratePom=false -DgroupId=com.sun.xml.bind -DartifactId=jaxb-impl -Dversion=%{namedversion} -Dclassifier=sources -Dpackaging=zip -Dfile=com.sun.xml.bind-jaxb-impl-%{namedversion}-sources.zip
pushd %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
baddirs=`%{_bindir}/find -type d \( -name "[0-9]*" -and -not -name %{namedversion} \)`
for baddir in ${baddirs}; do
    badver=`/bin/basename ${baddir} | %{__sed} "s/\./\\\./g;"`
    %{__mv} ${baddir}/* `/bin/echo ${baddir} | %{__sed} "s/${badver}/%{namedversion}/g;"`/ && %{__rm} -r ${baddir}/
done
popd
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%if 0
%{_sbindir}/update-alternatives --install %{_javadir}/jaxb_2_2_api.jar jaxb_2_2_api %{_javadir}/jaxb-api.jar %{alternatives_priority}
%{_sbindir}/update-alternatives --install %{_javadir}/jaxb_api.jar jaxb_api %{_javadir}/jaxb-api.jar %{alternatives_priority}
%endif
%update_maven_depmap

%postun
%update_maven_depmap

%post -n jaxb-impl
%update_maven_depmap

%postun -n jaxb-impl
%update_maven_depmap

%if 0
%preun
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jaxb_2_2_api %{_javadir}/jaxb-api.jar
    %{_sbindir}/update-alternatives --remove jaxb_api %{_javadir}/jaxb-api.jar
fi
%endif

%post -n jaxb-xjc
%update_maven_depmap

%postun -n jaxb-xjc
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%if 0
%{_javadir}/jaxb-api-%{apiver}%{?namedreltag}.jar
%{_javadir}/jaxb-api.jar
%endif
%if 0
%ghost %{_javadir}/jaxb_2_2_api.jar
%ghost %{_javadir}/jaxb_api.jar
%endif
%if 0
%{_javadir}/jaxb1-impl-%{namedversion}.jar
%{_javadir}/jaxb1-impl.jar
%endif
%if 0
%{_mavenpomdir}/JPP-jaxb1-impl.pom
%endif
%if 0
%{_mavenpomdir}/JPP-jaxb-api.pom
%endif
#
%doc License.html License.txt HOWTO-build.txt
%{_javadir}/jaxb-impl-%{namedversion}.jar
%{_javadir}/jaxb-impl.jar
%{_mavenpomdir}/JPP-jaxb-impl.pom
%{_mavendepmapfragdir}/jaxb-impl
#
%{_javadir}/jaxb-xjc-%{namedversion}.jar
%{_javadir}/jaxb-xjc.jar
%{_mavenpomdir}/JPP-jaxb-xjc.pom
%{_mavendepmapfragdir}/jaxb-xjc
#

%files -n jaxb-impl
%defattr(0644,root,root,0755)
%doc License.html License.txt HOWTO-build.txt
%{_javadir}/jaxb-impl-%{namedversion}.jar
%{_javadir}/jaxb-impl.jar
%{_mavenpomdir}/JPP-jaxb-impl.pom
%{_mavendepmapfragdir}/jaxb-impl

%files -n jaxb-xjc
%defattr(0644,root,root,0755)
%{_javadir}/jaxb-xjc-%{namedversion}.jar
%{_javadir}/jaxb-xjc.jar
%{_mavenpomdir}/JPP-jaxb-xjc.pom
%{_mavendepmapfragdir}/jaxb-xjc

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jaxb-%{namedversion}
%{_javadocdir}/jaxb

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}
%{_javadir}/repository.jboss.com
%endif

%changelog
* Fri Apr 19 2013 David Walluck <dwalluck@redhat.com> 0:2.2.5-14
- bump Release to -redhat-5

* Tue Apr 02 2013 David Walluck <dwalluck@redhat.com> 0:2.2.5-13
- change zip file name to jaxb-impl to match existing artifact

* Tue Apr 02 2013 David Walluck <dwalluck@redhat.com> 0:2.2.5-12
- set release.spec.version, release.impl.version, release.impl.version.suffix
- update jboss-parent and jboss-component-management versions in pom
- fix file list
- fix zip file creation (move to %%prep) and deploy (don't generate pom)
- update workaround for deploy bug

* Mon Feb 11 2013 Fernando Nasser <fnasser@redhat.com> 0:2.2.5-11.redhat_4
- Include sources in repolib

* Tue Oct 09 2012 David Walluck <dwalluck@redhat.com> 0:2.2.5-10
- duplicate files in main package
- remove Requires on subpackages from main package
- add maven support to main package

* Thu Oct 04 2012 David Walluck <dwalluck@redhat.com> 0:2.2.5-9
- switch to xml-commons-resolver-eap6 for runtime
- don't require xml-commons-resolver-eap6 (mark as optional in pom)
- don't require dtd-parser (mark as optional in pom)

* Wed Oct 03 2012 Paul Gier <pgier@redhat.com> - 0:2.2.5-8_redhat_3
- Fix jvnet parent in pom patch

* Wed Oct 03 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.2.5-7_redhat_3
- Update pom patch to -redhat-3 to avoid Maven repo conflict with previous build

* Wed Oct 03 2012 David Walluck <dwalluck@redhat.com> 0:2.2.5-6
- rebuild for new istack-commons

* Wed Oct 03 2012 David Walluck <dwalluck@redhat.com> 0:2.2.5-5
- fix Requires
- split into jaxb-impl and jaxb-xjc packages
- comment out unused macros
- remove empty alternatives files
- remove update-alternatives requirement

* Mon Aug 20 2012 Paul Gier <pgier@redhat.com> - 0:2.2.5-4_redhat_2.4
- Update pom patch for eap 6.0.1

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.2.5-4_redhat_2.3
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.2.5-4_redhat_1.2
- Rebuild using cache signing

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.2.5-4_redhat_1.1
- Rebuild using cache signing

* Mon May 07 2012 Fernando Nasser <fnasser@redhat.com> 0:2.2.5-4
- Remove the extra R's, cause large increase in EAP 6 distro

* Mon May 07 2012 Strong Liu <stliu@redhat.com> 0:2.2.5-3
- Add Rs

* Wed May 02 2012 David Walluck <dwalluck@redhat.com> 0:2.2.5-2
- fix pom versions

* Tue May 01 2012 David Walluck <dwalluck@redhat.com> 0:2.2.5-1
- 2.2.5 (api version 2.2.6)
- remove jaxb-ri-javadoc.patch
- remove jaxb-ri-verbose.patch
- rediff jaxb-ri-resolver.patch
- rediff jaxb-ri-no-xjc1.patch
- rediff jaxb-ri-no-class-path-in-manifest.patch
- rediff jaxb-ri-poms.patch
- handle additional bundled jars
- use included poms
- remove (Build)Requires: glassfish-jaf
- version some BuildRequires

* Thu Apr 19 2012 David Walluck <dwalluck@redhat.com> 0:2.2.4-0.6
- run vman on poms

* Tue Mar 27 2012 David Walluck <dwalluck@redhat.com> 0:2.2.4-0.5
- fix jaxb-impl pom dependencies

* Wed Feb 22 2012 David Walluck <dwalluck@redhat.com> 0:2.2.4-0.4
- use org.jboss.spec.javax.xml.bind:jboss-jaxb-api_2.2_spec
- remove patches for jaxb 2.1
- remoce provides for jaxb api (this is the impl only)
- use external codemodel
- use external dtd-parser
- use external istack-commons-tools
- use external jing (not in xjc)
- use external relaxngDatatype
- use external relaxngcc (not in xjc)
- use external rngom
- use external txw2 (not in xjc)
- use external xml-resolver
- use external xsom
- remove the 1.0 compiler
- remoce Class-Path from manifests

* Wed Feb 22 2012 David Walluck <dwalluck@redhat.com> 0:2.2.4-0.3
- add back removal of jars
- remove jaxb1-impl and xjc1 from main pkg and repolib pkg

* Wed Feb 22 2012 David Walluck <dwalluck@redhat.com> 0:2.2.4-0.2
- add jaxb1-impl to repolib

* Tue Feb 21 2012 David Walluck <dwalluck@redhat.com> 0:2.2.4-0.1
- 2.2.4
- remove vman poms
- add missing jaxb1-impl pom

* Thu Dec 15 2011 David Walluck <dwalluck@redhat.com> 0:2.2-7_redhat_1
- remove bundled .class files
- remove bundled .zip files
- reduce number of bundled jars from 42 to 14 and add 8 BuildRequires
- externalize com.sun.org.apache.xml.internal in com/sun/tools/xjc/Options
- add BuildRequires: jboss-component-management

* Tue Nov 29 2011 David Walluck <dwalluck@redhat.com> 0:2.2-6_redhat_1
- fix alternatives name
- update alternatives priority
- update maven demap after alternatives install

* Wed Oct 19 2011 David Walluck <dwalluck@redhat.com> 0:2.2-5_redhat_1
- fix Summary/description (not XML Web Services, but Binding)
- fix ghost link
- fix file names
- fix api version in pom
- fix api version in depmap
- fix file ownership in main package
- fix maven deploy (must set maven local repo)
- fix maven deploy (use correct version from pom)
- use one version for poms
- fix versions
- use maven2-plugin-deploy
- fix bad commenting (don't put macros in comments)
- fix repolib file ownership
- remove stax (Build)Requires
- comment out stax:stax-api from pom

* Fri Sep 30 2011 Yong Yang <yyang@redhat.com> - 0:2.2-4_redhat_1
- Fix vman pom, use stax:stax-xml instead of javax.xml.xstream:stax-api

* Thu Sep 15 2011 Yong Yang <yyang@redhat.com> - 0:2.2-3_rehdat_1
- Build for Werewolf

* Mon May 30 2011 Yong Yang <yyang@redhat.com> - 0:2.2-2
- Add "Provides: jaxb_2_1_api" because somae packages still BR jaxb_2_1_api

* Mon May 30 2011 Yong Yang <yyang@redhat.com> - 0:2.2-1
- Upgrade to 2.2

* Wed Jan 26 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.1.12-9
- Add patch to initialize AbstractDoclet configuration
- Enable javadoc

* Wed Jan 26 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.1.12-8
- Temporarily remove creation of javadoc sub-package

* Tue Jan 11 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.1.12-7
- Remove javadoc from main package

* Wed Dec 15 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.1.12-6
- Add maven2-brew contents to repolib

* Thu Jul 29 2010 Martha Benitez <mbenitez@redhat.com> 0:2.1.12-5
- Rebuild in 5.1

* Thu Jul 29 2010 David Walluck <dwalluck@redhat.com> 0:2.1.12-4
- change alternatives priority from 20100 to 20112

* Thu Jun 10 2010 David Walluck <dwalluck@redhat.com> 0:2.1.12-3
- add (Build)Requires for jaf and stax for jaxb-api-2.1.pom

* Thu Jun 10 2010 Martha Benitez <mbenitez@redhat.com> 0:2.1.12-2
- Comment patch for pom files since files are now bundled sources.

* Mon May 17 2010 Fernando Nasser <fnasser@redhat.com> 0:2.1.12-1
- Upgrade to 2.1.12
- Add pom.xml files for jaxb-api, jaxb-impl and jaxb-xjc
- Exchange CDDL+GPLv2.* files for License.*

* Wed May 05 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.1.9-6.9.1
- rebuilt

* Fri Apr 02 2010 Yong Yang <yyang@redhat.com> 0:2.1.9-6.9
- Rebuild

* Tue Jan 26 2010 David Walluck <dwalluck@redhat.com> 0:2.1.9-6.8
- use sun-jaxb as groupId for all artifacts

* Mon Jan 25 2010 David Walluck <dwalluck@redhat.com> 0:2.1.9-6.7
- add patch to update poms

* Mon Jan 25 2010 David Walluck <dwalluck@redhat.com> 0:2.1.9-6.6
- fix api, impl, and stax versions in the poms
- jaxb-api Provides should use the API version
- add Requires for %%{_sbindir}/update-alternatives

* Thu Jan 14 2010 Martha Benitez <mbenitez@redhat.com> 0:2.1.9-6.5
- Add patch for JIRA issue JBPAPP-3389 JBossWS / JAXB - Mixed up namespace prefixes when marshalling response with Element containing attributes
- Add patch from JBPAPP-2114/2161 JBossWS - Incorrect Parsing of Badly Formed int
- Add patch from JBPAPP-2121/2162 Sun JAXB Accepts Message Despite Failure During Parsing
- Define repolibver to automatically handle version of patches where needed
- Move POMs from repodirsrc to repodirlib

* Thu Dec 10 2009 Fernando Nasser <fnasser@redhat.com> 0:2.1.9-6.4
- Fix POM filenames
- Install POMs in repolib

* Mon Aug 10 2009 David Walluck <dwalluck@redhat.com> 0:2.1.9-6.3
- copy patches to both repolibs

* Mon Aug 10 2009 David Walluck <dwalluck@redhat.com> 0:2.1.9-6.2
- add patches to repolib

* Tue Jul 14 2009 Yong Yang <yyang@redhat.com> 0:2.1.9-6.1
- Merge with JPP-6 2.1.9-6
- Retain patches for JBAS-6535 and JBPAPP-1956

* Fri Jul 10 2009 Martha Benitez <mbenitez@redhat.com> 0:2.1.9-1.3
- Add poms for jaxb-impl and jaxb-xjc to repository

* Thu Jun 18 2009 Permaine Cheung <pcheung@redhat.com> 0:2.1.9-1.2
- Add patch for JBPAPP-1956
- Update repodir location

* Wed Apr 08 2009 Permaine Cheung <pcheung@redhat.com> 0:2.1.9-1.1
- Merge with upstream
- Add patch for JBAS-6535

* Tue Feb 02 2009 David Walluck <dwalluck@redhat.com> 0:2.1.9-1
- 2.1.9
- change jar location from sun-jaxb to %%{name}
- License is CDDL and GPLv2

* Thu Jan 08 2009 Permaine Cheung <pcheung@redhat.com> 0:2.1.4-1.5.ep1
- Added patch for JBPAPP-1560
- Added .patch01 to the repolib location
- Quiet setup

* Tue Aug 05 2008 David Walluck <dwalluck@redhat.com> 0:2.1.4-1jpp.ep1.4
- add xsdlib.jar to CLASSPATH

* Thu Jul 31 2008 Fernando nasser <fnasser@redhat.com> - 0:2.1.4-1jpp.ep1.3
- Plain rebuild

* Fri Jul 18 2008 Clive Saldanha <csaldanh@redhat.com> - 0:2.1.4-1jpp.ep1.2
- Adding all jars to main package

* Fri Jul 18 2008 Clive Saldanha <csaldanh@redhat.com> - 0:2.1.4-1jpp.ep1.1
- First Release
